package com.business.service.impl;

import com.business.mapper.VisualizationMapper;
import com.business.service.VisualizationService;
import com.sooka.common.core.domain.AjaxResult;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class VisualizationServiceImpl  implements VisualizationService {

    @Resource
    VisualizationMapper visualizationMapper;

    @Override
    public AjaxResult initVisualizaton() {
        List deptInNumbers =  visualizationMapper.getDeptInNumbers();
        Map map = new HashMap();
        map.put("deptInNumbers",deptInNumbers);
        return AjaxResult.success(deptInNumbers);
    }
}
